View Issue Details

IDProjectCategoryView StatusLast Update
0002257PartDesignFeaturepublic2016-01-31 19:14
ReporterseverorazAssigned To 
PrioritynormalSeveritytweakReproducibilityN/A
Status closedResolutionfixed 
Product Version0.15 
Target VersionFixed in Version0.16 
Summary0002257: Implement definition of dimension constraint value with spreadsheet cell value
DescriptionImplementing this feature would allow quick remodeling of parts based on parameters that may be shared by multiple parts in a machine.

For example, if you design a bike hub and you decide you want to change the axle diameter, you would need to edit every part of the hub to adapt it to the new axle diameter, whereas if you could define the axle diameter in a spreadsheet and have parts take that value for dimension constraints, simply modifying the spreadsheet would render your job done.
TagsNo tags attached.

Activities

eivindkvedalen

2015-09-12 07:49

developer   ~0006396

This functionality is soon to be merged into master; see http://forum.freecadweb.org/viewtopic.php?f=10&t=8802

eivindkvedalen

2015-10-06 21:03

developer   ~0006484

This is now in master, so this ticket can be closed.

Issue History

Date Modified Username Field Change
2015-09-10 19:18 severoraz New Issue
2015-09-12 07:49 eivindkvedalen Note Added: 0006396
2015-10-06 21:03 eivindkvedalen Note Added: 0006484
2016-01-31 19:14 yorik Status new => closed
2016-01-31 19:14 yorik Resolution open => fixed
2016-01-31 19:14 yorik Fixed in Version => 0.16